Listar importaciones
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waitingReason": "paused",
"progress": {
"done": 123,
"total": 123
},
"apiKey": {
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"canCancel": true,
"file": {
"name": "<string>",
"expired": true
},
"permission": "<string>",
"module": "core",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"entity": "<string>",
"mode": "create",
"fields": 123,
"counters": {
"success": 123,
"warning": 123,
"error": 123,
"blocked": 123
},
"state": "failed",
"error": {
"code": "<string>",
"params": {}
}
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.bad_request",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Importaciones
Listar importaciones
Lista las importaciones de la organización, de la más nueva a la más antigua, con el archivo, el estado, los conteos y quién inició cada una. La búsqueda lee el nombre del archivo; el filtro lee file, entity, mode, fields (cuántos campos asigna), state (active, succeeded, withErrors, failed o canceled) y los conteos de filas success, warning, error y blocked.
GET
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
imports
Listar importaciones
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waitingReason": "paused",
"progress": {
"done": 123,
"total": 123
},
"apiKey": {
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"canCancel": true,
"file": {
"name": "<string>",
"expired": true
},
"permission": "<string>",
"module": "core",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"entity": "<string>",
"mode": "create",
"fields": 123,
"counters": {
"success": 123,
"warning": 123,
"error": 123,
"blocked": 123
},
"state": "failed",
"error": {
"code": "<string>",
"params": {}
}
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.bad_request",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Parámetros de consulta
¿Esta página le ayudó?